<?php

namespace Drupal\pdf_using_mpdf;

/**
 * Provides an interface defining methods needed for PDF generation.
 */
interface ConvertToPdfInterface {

  /**
   * Converts HTML to PDF.
   *
   * Point of call to instantiate the mPDF library
   * and call the generator functions for creating a
   * PDF file.
   *
   * @param string $html
   *   The html that will be converted into PDF content.
   *
   * @return mixed
   *   Generated output or empty.
   */
  public function convert($html);

  /**
   * Converts html to PDF and return as a string.
   *
   * @param string $html
   *   The html that will be converted into PDF content.
   *
   * @return string
   *   Generated output as string or empty.
   */
  public function convertToString($html);

}
